File

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
POST
POST
POST
GET
POST
POST
GET

Create file system count

Get count of all files in a folder.

Required API key scopes

file_system:read

Path parameters

  • id
    string

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/:id/count
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/:id/count/\
-d path="string"

Example response

Status 200 No response body

Create file system link

Required API key scopes

file_system:write

Path parameters

  • id
    string

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/:id/link
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/:id/link/\
-d path="string"

Example response

Status 200 No response body

Create file system move

Required API key scopes

file_system:write

Path parameters

  • id
    string

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/:id/move
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/:id/move/\
-d path="string"

Example response

Status 200 No response body

Create file system count by path

Get count of all files in a folder.

Required API key scopes

file_system:read

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/count_by_path
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/count_by_path/\
-d path="string"

Example response

Status 200 No response body

Retrieve file system log view

Required API key scopes

file_system:write

Example request

GET /api/projects/:project_id/file_system/log_view
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/log_view/

Example response

Status 200 No response body

Create file system log view

Required API key scopes

file_system:write

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/log_view
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/log_view/\
-d path="string"

Example response

Status 200 No response body

Create file system undo delete

Required API key scopes

file_system:write

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/file_system/undo_delete
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/undo_delete/\
-d path="string"

Example response

Status 200 No response body

Retrieve file system unfiled

Required API key scopes

file_system:read

Example request

GET /api/projects/:project_id/file_system/unfiled
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/file_system/unfiled/

Example response

Status 200 No response body

Community questions

Questions about this page? or post a community question.